Rmw is a program written in C, designed to help manage your files and
prevent accidents at the command line. Rmw can send files to your "Desktop"
trash, or a completely separate folder. It can also: restore files; permanently
delete files that were rmw'ed more than xx number of days ago; skip files or
directories that have a "PROTECT" directive in the configuration file; and
append a unique string to the filename so they won't get overwritten
(duplication protection).

Web site: https://github.com/andy5995/rmw/wiki

See the NEWS file for details about new options for your existing
rmw configuration file. The two new options are:

force_not_required
,removable (the leading comma is mandatory)

After rmw is installed, create the user configuration directory by typing
'rmw' and hitting enter. Afterward, it's recommended to copy /etc/rmwrc (or
/usr/local/etc/rmwrc) to $HOME/.config/rmw and then rename it to 'config':

'cd ~/.config/rmw'
'~/.config/rmw$ cp /etc/rmwrc .'
'~/.config/rmw$ mv rmwrc config'

Then edit the file to suit your needs.

At some point, rmw will automatically create a 'lastpurge' and 'lastrmw'
in that same directory.

== Configuration File ==

Documentation explaining the configuration can be found in 'rmwrc', and
extra examples in 'rmwrc_config_example'.

Waste folders will be created automatically. (e.g. if '$HOME/trash.rmw'
is listed in the config file, these 3 directories will be created:
$HOME/trash.rmw
$HOME/trash.rmw/files
$HOME/trash.rmw/info

If one of the WASTE folder is on removable media, then the user has the
option of appending ',removable' (More info about that in rmwrc, included
with the rmw package).

== Purging ==

If purging is 'on', rmw will permanently delete files from the folders
specified in the configuration file after 'x' number of days. Purging
can be disabled by using 'purge_after = 0' in configuration file. rmw will
only check once per day if it's time to purge (use -g to check more often).
Purge requires -f (--force) to run (in your rmw configuration file, add
the line 'force_not_required' if you'd rather not use --force when purging).

The day of the last purge is stored in $HOME/config/rmw/lastpurge

== Features and Options ==

-h, --help
-c, --config filename     use an alternate configuration
-l, --list                list waste directories
-p, --pause               wait for a keypress before exiting
-g, --purge               run purge even if it's been run today
-f, --force               allow purge to run
-i, --interactive         not implemented
-r, --recurse             not implemented
-B, --bypass              bypass directory protection
-v, --verbose             increase output messages
-w, --warranty            display warranty
-V, --version             display version and license information


	===] Restoring [===

-z, --restore <wildcard filename(s) pattern>
-s, --select              select files from list to restore
-u, --undo-last           undo last ReMove


== -z option ==

To restore a file, or multiple files, specify the path to them in in the
<WASTE>/files folder (wildcards ok).
e.g. 'rmw -z ~/.local/share/Trash/files/foo*'

Files can also be restored using only the basename, from within any directory.
NOTE: That feature will not process wildcards unless the user is in a
<WASTE>/files folder and the filespec actually exists in the present
working directory.

== Protected directories ==

explained:
if 'PROTECT = /home/andy' is specified in the config file, /home/andy, and
all dirs and files beneath it will be "protected". This warning will show
up:

"File is in protected directory: <filename/dir>"

And it will not get rmw'ed

WASTE folders and the rmw configuration/data directory are protected by
default (there is no need to add a 'PROTECT =' line for them.


This file was last updated 2016-09-19
